ApiInstallEmbeddedControlPlaneArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiInstallEmbeddedControlPlaneArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiInstallEmbeddedControlPlaneArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiInstallEmbeddedControlPlaneArgs
      extends Object

  Arguments used to install a Private Cloud Control Plane on embedded kubernetes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiInstallEmbeddedControlPlaneArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiInstallEmbeddedControlPlaneArgs` | `containerizedClusterName(String containerizedClusterName)`
    `ApiInstallEmbeddedControlPlaneArgs` | `datalakeClusterName(String datalakeClusterName)`
    `boolean` | `equals(Object o)`
    `ApiInstallEmbeddedControlPlaneArgs` | `experienceClusterName(String experienceClusterName)`
    `String` | `getContainerizedClusterName()` The name of the Containerized Cluster that will bring up this control plane
    `String` | `getDatalakeClusterName()` The name of the datalake cluster to use for the initial environment in this control plane
    `String` | `getExperienceClusterName()` Deprecated.
    `String` | `getRemoteRepoUrl()` The url of the remote repository where the private cloud artifacts to install are hosted
    `String` | `getSelectedFeatures()` Optional.
    `String` | `getValuesYaml()` A yaml file containing configuration parameters for the installation.
    `int` | `hashCode()`
    `ApiInstallEmbeddedControlPlaneArgs` | `remoteRepoUrl(String remoteRepoUrl)`
    `ApiInstallEmbeddedControlPlaneArgs` | `selectedFeatures(String selectedFeatures)`
    `void` | `setContainerizedClusterName(String containerizedClusterName)`
    `void` | `setDatalakeClusterName(String datalakeClusterName)`
    `void` | `setExperienceClusterName(String experienceClusterName)`
    `void` | `setRemoteRepoUrl(String remoteRepoUrl)`
    `void` | `setSelectedFeatures(String selectedFeatures)`
    `void` | `setValuesYaml(String valuesYaml)`
    `String` | `toString()`
    `ApiInstallEmbeddedControlPlaneArgs` | `valuesYaml(String valuesYaml)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiInstallEmbeddedControlPlaneArgs

          public ApiInstallEmbeddedControlPlaneArgs()

  - ### Method Detail

    - #### remoteRepoUrl

          public ApiInstallEmbeddedControlPlaneArgs remoteRepoUrl(String remoteRepoUrl)

    - #### getRemoteRepoUrl

          public String getRemoteRepoUrl()

      The url of the remote repository where the private cloud artifacts to install are hosted
      Returns:
        remoteRepoUrl

    - #### setRemoteRepoUrl

          public void setRemoteRepoUrl(String remoteRepoUrl)

    - #### valuesYaml

          public ApiInstallEmbeddedControlPlaneArgs valuesYaml(String valuesYaml)

    - #### getValuesYaml

          public String getValuesYaml()

      A yaml file containing configuration parameters for the installation.
      Returns:
        valuesYaml

    - #### setValuesYaml

          public void setValuesYaml(String valuesYaml)

    - #### experienceClusterName

          public ApiInstallEmbeddedControlPlaneArgs experienceClusterName(String experienceClusterName)

    - #### getExperienceClusterName

          public String getExperienceClusterName()

      Deprecated. Use containerizedClusterName instead.
      Returns:
        experienceClusterName

    - #### setExperienceClusterName

          public void setExperienceClusterName(String experienceClusterName)

    - #### containerizedClusterName

          public ApiInstallEmbeddedControlPlaneArgs containerizedClusterName(String containerizedClusterName)

    - #### getContainerizedClusterName

          public String getContainerizedClusterName()

      The name of the Containerized Cluster that will bring up this control plane
      Returns:
        containerizedClusterName

    - #### setContainerizedClusterName

          public void setContainerizedClusterName(String containerizedClusterName)

    - #### datalakeClusterName

          public ApiInstallEmbeddedControlPlaneArgs datalakeClusterName(String datalakeClusterName)

    - #### getDatalakeClusterName

          public String getDatalakeClusterName()

      The name of the datalake cluster to use for the initial environment in this control plane
      Returns:
        datalakeClusterName

    - #### setDatalakeClusterName

          public void setDatalakeClusterName(String datalakeClusterName)

    - #### selectedFeatures

          public ApiInstallEmbeddedControlPlaneArgs selectedFeatures(String selectedFeatures)

    - #### getSelectedFeatures

          public String getSelectedFeatures()

      Optional. The name of the feature(s) in a comma separated list that container images/packages are associated with. When it is null, copy all the images.
      Returns:
        selectedFeatures

    - #### setSelectedFeatures

          public void setSelectedFeatures(String selectedFeatures)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.